TMPGEnc Plus Online Manual

TMPGEnc is a general purpose MPEG-1 and MPEG-2 encoder.

The [main window] is displayed upon startup.

This is the main application window from which one sets all the parameters requried to encode via sub-windows.

-[Main Window]

[Table of Contents]

Copyright (C) 2002 / Pegasys Inc, All rights reserved.

Copyrights


[Main Window]

This is the main application windows; it is displayed automatically when TMPGEnc starts up.

Screen shot

This is the main application windows; it is displayed automatically when TMPGEnc starts up. This window also contains the status and preview information when encoding.

Main Menu
From the main menu, on can change settings and manipulate projects. The menu contains [File], [Options], [Help] entries.

"Start" Button
When one has decided on all of the project settings, click the "Start" button begin encoding. One can check the status of the encoder by "right-clicking" in the status bar area.

"Stop" Button
This button interrupts encoding of the current project. Once clicked, it may take some time for the encoder to cease because it must flush the GOP data and finish saving the stream up to the interruption point. It should be noted that once interrupted, the project cannot be continued without re-encoding.

Status
While encoding, the status of the encoder is displayed here.
@
Video Source
Where one selects the "video source" file to encode, such as 'c:\Movies\amovie.avi'. The "Browse" button at right allow one to browse for the desired source file. The source selection field also supports "Drag&Drop".

Even if the file extension is ".avi", it may not always be able to be read by TMPGEnc due to the multitude of AVI formats. The appropriate codec may need to be installed before a certain type of file can be read. Via DirectShow, many of the AVI formats can be read, but the occasionally a codec must be installed. Further file support is available thought the VFAPI plugins.

Audio Source
Where one selects the "audio source" file to encode, such as 'c:\wavs\awav.avi'. If an audio file exists, less the extension, with the same name as the video source file, it will automatically be selected. The "Browse" button at right allow one to browse for the desired source file. The source selection field also supports "Drag&Drop".

WAV and AVI audio streams are internally supported. Via DirectShow, other formats can be read automatically as well.

Output Filename
Set the filename of the MPEG movie to output. Click the "Browse" button to set the location using a dialog. When one enters a filename, the extension will become ".mpg" if saved in the same location as the source.

Furthermore, in the [Environmental Settings] window under the [Settings] tab, one can select the default output folder.

"Settings" Button
[MPEG Settings] button displays the detailed settings for the encoder.

# [MPEG Settings] Window

Stream Type
Select which type of MPEG stream to output to a file. Normally, one would select [System (Video/Audio)] to output both video and audio. [Video only] outputs only a raw MPEG video stream, and [Audio only] outputs only a raw audio stream.

[System (Video Only)] and [System (Audio Only)] produce a playable MPEG stream with either Audio or Video. Most video players can play a raw [Video only] or [Audio only] stream.

Setting Type | File Type | Video | Audio | Extension
Video Only | video component | yes | no | m1v, m2v
Audio Only | audio component | no | yes | mp1, mp2
System (Video Only) | video movie | yes | no | mpg
System (Audio Only) | audio movie | no | yes | mpg
System (Video+Audio) | audio and video movie | yes | yes | mpg

"Load" Button
In the [MPEG Settings] window, this button allows one to load an encoder template, which have the extension of ".mcf". Templates for most kinds of projects are normally included in a TMPGEnc distribution, and contain reasonable settings for VCD, DVD, SVCD projects, etc.

After a template is loaded, one can change some of the default template settings, but the grayed-out settings can not be altered.

The template folder contains an "Extra" folder with non-standard templates. This folder also contains "unlock.mcf", which unlocks some addition settings in TMPGEnc, and allows one to change the previously unchangeable settings. Unlocking additional settings is not always a good thing because it allows the encoder to function in ways that may not produce results that are usable to most users.

"Save" Button
In the [MPEG Settings] window, this button lets one to save a project template. The file will be saved in the TMPGEnc template folder with the extension ".mcf" automatically appended.
Start Stop Video source Audio source Ouput file Stream type Config Load Save Main Menu Progress
Copyright (C) 2002 / Pegasys Inc, All rights reserved.


[File Menu]

Project and Batch management.

Screen shot

The "File" menu options let's one manage projects, batch encoding and other [MPEG Tools]. One can load or save projects, set up a batch encoding or set up the other tools.

-[Main Window]

New Project
This item creates a new project. If one chooses to create a new project, a dialog will prompt one to save the current project.

If "OK" is clicked, the current audio and video source paths are cleared. The [MPEG Settings] are also returned to the default values. Which defaults to load can be set in the [Settings] menu. The defaults are saved in a file called "default.tpr".

Open Project
Opens a previous project file (.tpr). Upon opening a project, all of the project settings and paths are restored, overwriting any of the current project settings.

Also, a TMPGEnc project file (.tpr) is saved as text, and can be edited with a text editor.

Save Project
Saves a project, and all related path and setting information. Upon clicking, a save dialog box appears and one selects a name and a save location. The file extension for a TMPGEnc project is (.tpr).

Also, a TMPGEnc project file (.tpr) is saved as text, and can be edited with a text editor.

Project Wizard
The project wizard simplifies setting up the encoder by interactive dialogs.

-[Project Wizard] Window

Preview
Displays a preview for the current movie as specified in the [MPEG Settings]. The preview is a frame from the output MPEG video stream; however, be mindful that is only a frame and not that whole stream, so the preview quality may be slightly different from the finished product.

This menu item displays the [Preview] window.

Output File
From an audio and video source, output an AVI and WAV file. In addition to producing a MPEG file, TMPGEnc can output AVI and WAV files from the source files. Still images such as BMP or JPG can also be exported.

If the appropriate CODEC is installed, other formats, such as DIVX, can also be output.

-[Output File]

Batch Encode
TMPGEnc supports encoding multiple AVI files into multiple MPEG files using different settings or projects. This process is referred to as "batch encoding".

This menu item displays the [Batch Encode] window, which contains a list of projects to include in the mass encoding.

-[Batch Encode] Window

Add project to batch list
Add the current project settings, including all the information in the [MPEG Settings] window to the batch encode list. One change change the settings later via the [Batch Encode] window.

MPEG, AVI, WAVE and sequenced still images, such as BMP, PPM, TGA and JPG, are all valid candidates for batch processing output.

Click the "Save" button to save the current [Batch Encode] list.

-[Add project to batch list]

MPEG Tool
A usual MPEG file contains a video and audio track; MPEG Tool let's one multiplex or de-multiplex these audio and video tracks.

This menu item displays the [MPEG Tool] window.

-[MPEG Tool] Window
File menu Options menu Help menu New project Open project Save Project Project wizard Preview Output file Batch encode Add batch encode MPEG Tool Exit


[Options Menu]

This menu contains all of the set up options for TMPGEnc.

Screen shot

This menu contains the set up options for the encoder. Most beginners will have no need to change the settings in this menu.

-[Main Window]

Environmental Settings
Displays the [Environmental Settings] window. That windows contains "Settings", "CPU", "Sound", "External Tool", and "VFAPI Plugin" tabs.

-[Environmental Settings] Window

Display Language
Toggle the program language between English and Japanese.

The "Automatic" settings does not work with Windows95/98/Me, but does under Windows 2000/XP. TMPGEnc will automatically display in English if it can't determine that the OS supports Japanese.

Preview Settings
As a file is encoded, a preview frame can be displayed in the main window. One can select the size and refresh rate of the preview.

Menu | Function
Disable Preview | Disable display of a preview frame. Generally, MPEG encoding takes longer when one displays preview frames due to the added load to the CPU. Select this menu item to disable the display of preview frames.
Lossy Preview | Display the occasional frame as it's convenient for the encoder. This condition occurs upon completion of one GOP conversion. If this is selected, the I picture is displayed as the preview and the P and B frames are skipped.
Show all frames | Display all frames as the preview. Selecting this option increasing the load on the CPU and can substantially increase the time required to encoded a movie.
Do not fix preview size | Display the preview in the same size as the output movie.
Fix at 320x240 | Set the preview frame size to be 320 in the horizontal and 240 in the vertical.
Fix to optional size Selecting this menu bring up dialog where one can select a custom preview size.

Here one can select a custom size for the preview frame. Enter the desired size in the form of a width and height with an alphanumeric "x" between them.

Click "OK" to return to the main window with the preview displayed at the desired size.
Automatically resize the
preview window. 		Check this menu item to toggle resizing the main window to the size of the preview. When this option is enabled, the window cannot be resized in any other way.

If no preview is being displayed, this option has no effect.

Task Priority
Set how much of the system time TMPGEnc will take during encoding.

TMPGEnc supports task priority setting for both CPU intensive and non-intensive times. A CPU intensive task would be encoding a MPEG movie.

One can assign the desired priority to intensive tasks by the "When active" menu entries, and non-intensive task by the "When not active" entries. Selecting "Idle time" sets TMPGEnc's task to take a low priority. This speeds up other system functions, but considerable slows TMPGEnc's functions. Selecting "Normal" priority sets TMPGEnc's task to be the same priority as a normal application. Selecting "High" priority allows TMPGEnc to monopolize the system's thread stack, decreasing OS performance and increasing TMPGEnc's performance.

Setting | MPEG Encode Time | Other applications
Active Time | High Priority | Quicker Encode | Decreases performance of other background jobs.
Normal Priority -- The quantity of jobs affects the quality of performance.
Idle Time | Longer Encode | Increases the system resource available to other jobs at the expense of TMPGEnc's performance.
Inactive Time | High Priority | Quicker Response | Severely decreased background job performance.
Normal Priority -- The quantity of jobs affects the quality of performance.
Idle Time | Longer Response | Increases the system resource available to other jobs at the expense of TMPGEnc's performance.

The default settings for TMPGEnc are "Normal" for active times and "Idle time" for inactive times. One should leave these untouched if they really don't understand what they do.

It's okay to set these to "High" priority during encoding, but it is suggested that they be returned to more reasonable settings at other times.

Display encode log
Displays the [Encode Log] window for the current project. The log lists the condition of the encoder in real-time.

This window displays all sorts of technical information about the encoded movie, such as data structures and the like.

-[Encode Log] Window

Save encode log
Click this to save the information displayed in the [Encode Log] window. The file extension for an encode log file is ".log".

If the file name already exists, the new log information will be appended to the existing file.

Set as default project
Save the current project as the default project. When "New Project" is click from the [File] menu, these settings will automatically be loaded.

The default settings become the current settings for folders, filenames, and the information in the [MPEG Settings] window.

The default settings are saved into the "Default.tpr" file, destroying all of the information previously saved in this file.

Register TMPGEnc.vfp with VFAPI
VFAPI stands for "Video File API". This is used to write plugins for TMPGEnc. The current settings need to be registered before the plugins can be used. Freeware VFAPI development tools and documentation are available on the web.

Make sure to "check" this menu before using the plugins.
File menu Options menu Help menu Environmental Settings Preview Option Task Priority Display Encode Log Save last encode log Set as default project Register TMPGEnc.vfp with VFAPI


[Help Menu]

Click this menu for help.

Screen shot

This menu contains help files, version information, and a link to the official TMPGEnc website.

-[Main Window]

Table of Contents
The "Table of Contents" item displays the contents of the TMPGEnc help file.

TMPGEnc Official Website
Click this item to go the official TMPGEnc website. The website contains the most recent product and user information.

Version Information.
Displays the encoder and core versions, as well as the days remaining in the trial period if applicable.
File menu Option menu Help menu Content TMPGEnc Site Version info


[Environmental Settings]

TMPGEnc's primary settings window.

Screen shot

This window contains the primary settings for the encoder. Beginner users will have no need to change any of these settings.

These settings are saved to the file called "TMPGEnc.ini" in the application folder upon exit.

The "Environmental Settings" window contains [Settings], [CPU], [Sound], [External Tool], and [VFAPI Plugins] tabs.

"Settings" Tab
TMPGEnc's general settings.
-[Settings] Tab

"CPU" Tab
CPU related settings. One can select the most appropriate options for their system's CPU.
-[CPU] Tab

"Sound" Tab
Set the event sound.
-[Sound] Tab

"External Tool" Tab
Setting for external MPEG Audio compressors.
-[External Tool] Tab

"VFAPI Plugins" Tab
Settings for VFAPI plugins.
-[VFAPI Plugins] Tab

"OK" Button
Close the "Environmental Settings" window and keep the new settings.

"Cancel" Button
Close the window and discard the changes.
Settings CPU Sound External tools VFAPI Plugins Ok Cancel


[Environmental Settings]-[Settings]

TMPGEnc's general settings.

Screen shot

TMPGEnc's general settings are contained in this window.

-[Environment Settings]

Enable multiplex with "mux://file name" for a video/audio source.
Click to enable using the form "mux://" to mean multiplex streams in source file edit boxes.

"Check" the box to merge MPEG files without re-encoding.

This is disabled by default.

Edit bitrate by bps, not kbps
TMPGEnc normally displays bitrates in kbpsi1000bpsj, check this box to display units in bps.

Do not access files via OS cache functions.
The OS reads files into memory in order to have faster access times. This is usually a good thing, but not in the case when a file needs to accessed directly. If one is using VFAPI plugins, one should check this box.

Advanced Operating Systems (OS) such as Windows2000 or WindowsXP read user space files into memory to give faster access times to those files. This is usually a good thing; however, in the case where more than one program could be accessing the file, such in the case of VFAPI plugins, one can't guarantee the validity of the cached data. One should check this box when one wants to be sure that the data in the file, is actually coming from the file.

This is normally disabled.

Enable reading referred AVI through the network (Canopus DV Codec)
This feature is always enabled, and cannot be disabled.

AVI files have a maximum size of 2gigs. In order to get around this, larger files are often saved into sequential parts. This feature let's TMPG automatically use sequentially saved files.

This is needed for the Canopus DV CODEC.

Interpolate YUV 4:1:1 data into 4:4:4 data (Canopus DV Codec)
Captured DV video is in the 4:1:1 format which may cause some of the reds to stand out. TMPGEnc can normalize the data to YUV 4:4:4 through interpolation.

This only needs to be enabled if the Canopus DV CODEC is used.

Set equation for color space (Canopus DV Codec)
YUV equation used by TMPGEnc can be selected to be "Basic YCbCr", "CCIR-601", or normal "YUV".

This only affects the Canopus DV CODEC.

Enable reading referred AVI through the network (Panasonic and I-O DATA GigaAVI CODEC)
This feature is always enabled, and cannot be disabled. This allows sequential AVI files to be handled automatically.

This option only affects the DV Giga CODEC.

Output File
Set the output filename and folder for the video.

Temporary Files
Set the folder to use for TMPGEnc's temporary files. TMPGEnc does not use the OS temporary files; however, TMPGEnc temporary files can exist in the same directory as the OS's files.

TMPGEnc's temporary files can become rather large, and it's best to select a directory one the drive with the most free space.

"OK" Button
Close the window and save the new settings.

"Cancel" Button
Close the window and discard any changes.
Settings CPU Sound External tools VFAPI Plugins Ok Cancel Enable multiplex Edit bps OS Cache AVI Ref YUV Color space GigaAVI Output directory ˆêTemp directory


[Environmental Settings]-[CPU]

CPU related settings.

Screen shot

Settings specific to the CPU. These are set according to the system's CPU

-[Environmental Settings]

CPU Settings
One can select functions specific to their CPU in order to increase performance.

Functional Unit | Supporting CPUs
MMX | Earlier Pentium class, and Pentium-IIs and better CPUs have this instruction class.
MMX-2 | Pentium III and Athlon support this instruction class.
SSE | Pentium III and AthlonMP/XP support this. It improves streaming.
SSE-2 | More streaming instruction found on newer CPUs (Pentium 4).
3D Now! | AMD processors support this. It's a mixture of SSE and MMX-like instructions.
Multi-threading One should enable multithreading on a multiple CPU system. Check the box to enable multi-threading.

Systems with multiple CPUs need this setting enabled if one desires to use all of the available processors. One may not always want TMPGEnc to use multiple processors though.

TMPGEnc checks for multiple processors on start-up. This is enabled by default on multiprocessor systems.

Multi-thread Settings
The settings for the threads if "multi-thread" is enabled. These only affect the system if the "Multi-Thread" checkbox is enabled.

Option | Result
Enable Pipeline | Use multiple CPUs in MPEG processing. This uses more memory because extra data space is needed, but it's faster. This also may cause a Preview frame to be displayed incorrectly, which is okay.
Enable Pipeline for motion search. | Use multiple CPUs for motion searching.
Pre-fetch Video Synchronously read in the video data so that data is always available to the process when it needs it. This minimizes disk access.

-->
On Windows2000 and WindowsXP, this can improve performance.

Cache Setting
Specifies cache setting. The following parameters can be changed.

Item Content
Saves analyzing result of
multi pass VBR to cache. 		At multipass VBR(including 2 pass VBR), saves analyzing result of 1st pass to cache, then the encoding process would be boosted by using the result at 2nd (or later) pass(es).

You can set maximum size of cache to prevent TMPGEnc from makeing unexpected large cache file.

Required HDD space, for example, at 720x480, 29.97fps interlaced movie is approximately 5.3 GB / hour at most.

"OK" Button
Close the window and save the new settings.

"Cancel" Button
Close the window and discard any changes.
General CPU Sound External tool VFAPI Plug-in OK button Cancel button CPU setting Multi-thread setting


[Environmental Settings]-[Sound]

Set TMPGEnc's event sound.

Screen shot

Set TMPGEnc's event sound.

-[Environmental Settings]

Encoding Complete
TMPGEnc can play a user specified .wav file upon finishing encoding. Check the box and then specify the file location to enable this feature.

Currently, only WAV (.wav) format audio files are supported.

"OK" Button
Close the window and save the new settings.

"Cancel" Button
Close the window and discard any changes.
General CPU Sound External tool VFAPI Plug-in OK button Cancel button When finised


[Environmental Settings]-[External Tools]

General settings for external audio tools.

Screen shot

One can use external tools instead of TMPGEnc's built-in functions if desired. External MPEG audio converters and sampling frequency converters are supported.

-[Environmental Settigns]

Layer-2 (MPEG-Audio Encoder)
Check the box to enable using an external MPEG-1 Audio Layer-2 instead of the TMPGEnc's internal encoder.

MAENC (maenc.exe), tooLAME (tooLAME.exe), and SCMPX (SCMPX.exe) are supported as external Layer-2 encoders. The external encoder may need to be configured as well to avoid unexpected results.

Layer-3 (MPEG-Audio Encoder)
Check the box to enable using an external MPEG-1 Audio Layer-3 (mp3) instead of the TMPGEnc's internal encoder.

LAME (LAME.exe), L3ENC (L3ENC.exe), MP3ENC (mp3enc.exe), 8hz-mp3 (8hz-mp3.exe), and SCMPX (SCMPX.exe) are supported as external Layer-3 encoders. The external encoder may need to be configured as well to avoid unexpected results.

Sample Frequency Converter
In the case that a source movie has a different sampling frequency than the desired output, one may want to use this to change the sampling frequency. Normally, TMPGEnc's internal encoder will work, but there are some extraordinary cases when an external converter is useful.

SCMPX (SCMPX.exe), wavefs44 (wavefs44.exe), WTC (WTC.exe), and Shibatch Sampling Rate Converter (SSRC.exe) are supported as external sampling frequency converters. The external converter may need to be configured as well to avoid unexpected results.

"OK" Button
Close the window and save the new settings.

"Cancel" Button
Close the window and discard any changes.
Setting CPU Sound External tool VFAPI Plug-in OK button Cancel button Layer-2 Layer-3 Sampling frequency convertor


[Environmental Settings]-[VFAPI Plugins]

General settings for VFAPI Plugins.

Screen shot

This panel displays a list of the VFAPI plugins that have been registered with TMPGEnc. Select plugins to use from the list.

If one wants to write a VFAPI plugin, the URL to the development information is on the bottom of the page.

-[Environmental Settings]

Plugin List
All of the registered plugins are displayed in the plugin list. The name of the plugin is displayed in the left column of the list, the filename of the plugin is displayed in the middle column, and the plugin precedence is displayed in the right column.

The use of a particular plugin is selected by the check box of the left of the plugin. Right-click on a check box to select all of the plugins at once.
Because many of the VFAPI plugins use a file's extension to decide if a plugin is appropriate for a certain file, one needs to set the precedence of the plugins so that a file isn't serviced by more than one plugin.

Right-Click Menu
Right-Click on a plugin name to display a sub-menu.

The functions in the sub-menu are as follows:

Menu | Function
Increase Priority | Increase the use precedence for a plugin.
Decrease Priority | Decrease the use precedence for a plugin.
Select All | Enable all of the plugins.
Unselect All | Disable all of the plugins.

"OK" Button
Close the window and save the new settings.

"Cancel" Button
Close the window and discard any changes.
Setting CPU Sound External tool VFAPI Plug-in OK button Cancel button List of Plug-in


[Project Wizard]

Prepare the settings for a MPEG file easily via the project wizard.

Screen shot

From TMPGEnc version 2.5, a "Project Wizard" is included to aid in setting projects. The wizard automatically set the parameters of the [MPEG Settings] window.

The wizard has five windows: [Select Format], [Select Source File], [Filter Settings], [Bitrate Setting], and [Specify Output filename].

The project wizard can be run from the [File] menu.

"Back" Button
Go back one page.

"Next" Button
Go to the next page.

"Cancel" Button
Close the window and discard any changes.

Enable this Wizard at startup
Check this box to automatically start the wizard when the program starts.

Format Settings (page 1)
In this page, set the MPEG stream type for the output file.

Screen shot

-[elect Format] Page

Select Source File (page 2)
Select the source files from which to encode the output. This page sets some of the information in the [MPEG Settings] window's [Advanced] tab.

Screen shot

-[Select Source File] page.

Filter Settings (page 3)
From this page, select any filters to apply to the output file. This page sets some of the information in the [MPEG Settings] window's [Advanced] tab.

Screen shot

-[Filter Settings] page.

Bitrate Setting (page 4)
Select the bitrate for the MPEG output file.

Screen shot

-[Bitrate Setting]

Specify output file name (page 5)
In this page, one specifies the file name and location.

Screen shot

-[Specific Output filename] page
run at startup next Cancel back


[Project Wizard]-[Select Format (1/5)]

Set the output format.

Screen shot

Select the MPEG output type and format.

-[Project Wizard], [Select Format (1/5)], [Select Source File (2/5)], [Filter Settings (3/5)], [Bitrate Setting (4/5)], [Specify Output filename (5/5)]

Output Format Settings
Select the output format depending on the intended use.

Once one decides on the stream type, one must also decide on whether to encode for a NTSC (North American, Japan) television or elsewhere.

Bitrate Selection
The bitrate must also be select according to the intended use.

"Back" Button
Go back one page.

"Next" Button
Go to the next page.

"Cancel" Button
Close the window and discard any changes.

Enable this Wizard at startup
Check this box to automatically start the wizard when the program starts.
output format Bitrate run at startup next cancel back


[Project Wizard]-[Select Source File (2/5)]

Select the source files to encode.

Screen shot

Select which AVI file to convert to a MPEG output. This window sets information in the "Video" and "Advanced" tabs of the "MPEG Settings" window.

-[Project Wizard], [Select Format (1/5)], [Select Source File (2/5)], [Filter Settings (3/5)], [Bitrate Setting (4/5)], [Specify Output filename (5/5)]

Video file
Select the AVI file to encode into MPEG. If an audio file with the same name exists, it will automatically be entered into the "audio file" field below.

Audio file
Select the file to use as the MPEG audio track.

Video Type
Select whether the source file video is interlaced or non-interlaced. The type is selected automatically by TMPGEnc; there is usually no need to change this setting.

These settings can be changed later in the [MPEG Settings] window's [Advanced] tab.

Field Order
If the source is interlaced, the field order needs to specified. The field order is selected automatically by TMPGEnc; there is usually no need to change this setting.

Aspect Ratio
Select the aspect ratio of the video file.

Content of Video
Select the type of film content. This helps TMPGEnc function in the most efficient way.

Selection | Details
Video movie The source consists of a video movie (29.97fps progressive/interlaced).

Select this option if your source is DV capture video.
Film movie The source consists of a film at 24fps. This can also be used for 29.97fps interlaced movies.

Select this option for film or anime.
Video/Film Mixed | Select this option if the source is mixed.

"Back" Button
Go back one page.

"Next" Button
Go to the next page.

"Cancel" Button
Close the window and discard any changes.

Enable this Wizard at startup
Check this box to automatically start the wizard when the program starts.
run at starup next Cancel back Video file Audio file Video Type Aspect Ratio Content


[Project Wizard]-[Filter Settings (3/5)]

Select any filter to include.

Screen shot

This page allows one to choose which preprocessors to use on the source file.

-[Project Wizard], [Select Format (1/5)], [Select Source File (2/5)], [Filter Settings (3/5)], [Bitrate Setting (4/5)], [Specify Output filename (5/5)]

Source Range
Select a section of the source file to encode.

Clip Frame
Crop to remove edge noise.

Noise Reduction
Remove noise from the source video. Improved results can be expected with this option; however, the encoding slows considerably.

Other Settings
Click to display the [MPEG Settings] window with even more options.

"Back" Button
Go back one page.

"Next" Button
Go to the next page.

"Cancel" Button
Close the window and discard any changes.

Enable this Wizard at startup
Check this box to automatically start the wizard when the program starts.
run at startup next Cancel back Range Clo[ Other Settings


[Project Wizard]-[Bitrate Setting (4/5)]

Set the bitrate of the MPEG file.

Screen shot

Set the bitrate to use in the MPEG file. Depending on what type of file to output, depends on if the bitrate can be changed.

-[Project Wizard], [Select Format (1/5)], [Select Source File (2/5)], [Filter Settings (3/5)], [Bitrate Setting (4/5)], [Specify Output filename (5/5)]

Movie info:
Displays information about the playback movie.

Average Video Bitrate
Select the average bitrate, if applicable.

Audio Bitrate
Set the MPEG file audio bitrate.

Estimated file size.
Set the desired file size for the MPEG output. If VBR can be used, the encoder will try to output a file of this size.

"Expert" Button
Click this button to open the [MPEG Settings] window.

Media Usage Graph
Displays how much of the media will be filled as well as allow one to select how much should be filled.

"Back" Button
Go back one page.

"Next" Button
Go to the next page.

"Cancel" Button
Close the window and discard any changes.

Enable this Wizard at startup
Check this box to automatically start the wizard when the program starts.
run at startup next cancel back info Video Bitrate Audio Bitrate Estimated File Size Media Config


[Project Wizard]-[Specifying Output filename(5/5)]

Specify the output filename.

Screen shot

Specify the output filename of the MPEG stream.

-[Project Wizard], [Select Format (1/5)], [Select Source File (2/5)], [Filter Settings (3/5)], [Bitrate Setting (4/5)], [Specifying Output filename (5/5)]

Output File
Specify the filename and location for the output MPEG stream.

Start encoding immediately
Start encoding this project upon clicking "OK". If this is not checked, all of the project settings will be saved, but the project will be encoded until the "Start" button is pushed in the main window.

Create another project for batch encoding.
Check this box and click "OK" to save this project to the batch list.

"Back" Button
Go back one page.

"OK" Button
Finish the wizard.

"Cancel" Button
Close the window and discard any changes.

Enable this Wizard at startup
Check this box to automatically start the wizard when the program starts.
run at startup next Cancel Back Output File New Batch Project


[MPEG Tool]

Manipulate the tracks on a MPEG file.

Screen shot

Edit the tracks of a MPEG file without re-encoding by stream manipulation.

The "MPEG Tool" window has [Simple Multiplex], [Simple De-Multiplex], [Multiplex], [De-Multiplex], [Merge&Cut] tabs.

"Simple Multiplex" Tab
Simply combine an audio and video component into one MPEG movie file.

-[Simple Multiplex] Tab

"Simple De-Multiplex" Tab
Separate a MPEG movie file into an audio and video component.

-[Simple De-Multiplex] Tab

"Multiplex" Tab
Merge multiple audio and video files into one MPEG movie file.

-[Multiplex] Tab

"De-Multiplex" Tab
Separate a MPEG movie file into multiple files.

-[De-Multiplex] Tab

"Merge&Cut" Tab
Merge multiple files, or segment a file.

-[Merge&Cut] Tab

"Apply" Button
Apply the tool usage to the files and options.

"Close" Button
Closes the "MPEG Tool" window and discards the settings.
Simple Multiplex Simple De-Multiplex Multiplex De-Multiplex Merge & Cut Run Close


[MPEG Tool]-[Simple Multiplex]

Combine an audio and video component into one MPEG movie file.

Screen shot

"Simple Multiplex" combines a video component and an audio component of a MPEG file into one, combined MPEG file.

-[MPEG Tool]

Stream Type
The output stream type is selected from a pull-down menu.
Various MPEG-1 and MPEG-2 stream types are supported.

The [MPEG Settings] window's [System] tab contains various settings for the "System" type stream.

Video Input
Set which file to use as the video component. The extensions of these files are either .m1v or .m2v.

Click the "Browse" button to bring up a file tree dialog.

Audio Input
Set which file to use as the audio component. MPEG files of the extension mp1, mp2, mp3, mpa, as well as Dolby-AC3 files (.ac3) are supported. Click the "Browse" button to browse the file tree. Once both a video and audio component are selected, encoding may begin.

If both the audio and video components have the same name, that name is assigned automatically to the output file.

Output
Set the output folder and save name for the output file. Click the "Browse" button to browse the file tree.

"Apply" Button
Click to combine the selected components into a MPEG movie. Additionally, the output file is of the selected stream type.

"Close" Button
Closes the "MPEG Tool" window and discards the settings.
Simple Multiplex Simple De-Multiplex Multiplex De-Multiplex Merge & Cut Run Close Streamtype Video input Audio input Output


[MPEG Tool]-[Simple De-Multiplex]

Separate a MPEG file into an audio and video component.

Screen shot

Both "Simple De-Multiplex" and "De-Multiplex" serve the same purpose of separating a MPEG file into it's component streams.

-[MPEG Tool]

Input
Set the MPEG file to de-multiplex. Click "Browse" to bring up the file browse dialog.

Video Output
Set the name and location of where to save the output video component.
The filename is automatically set to be the same as the input file but with the extension set to the appropriate video stream type. If one changes the filename, one should leave the extension as is.

Audio Output/dt>
Set the name and location of where to save the output audio component.
The filename is automatically set to be the same as the input file but with the extension set to the appropriate audio stream type. If one changes the filename, one should leave the extension as is.

"Apply" Button
Click to divide the MPEG into its components. If a component is not present in the MPEG file, that component will not be output.

"Close" Button
Closes the "MPEG Tool" window and discards the settings.
Simple Multiplex Simple De-Multiplex Multiplex De-Multiplex Merge & Cut Run Close Input Video output Audio output


[MPEG Tool]-[Multiplex]

Combine multiple MPEG audio and video files into one MPEG movie.

Screen shot

Multiplex has the same functionality as "Simple Multiplex", but with multiple file capability. Both a video and audio component are required to multiplex the streams correctly. If one desires to view the audio and video components before multiplexing, Windows Media Player 6.x works well. Windows Media Player 7.x no longer has the ability to view separate streams.

-[MPEG Tool]

Stream Type
Select the output stream type.
Normally, one will want [MPEG-1 System (Auto)], which is the default, or [MPEG-2 (VBR)] for the stream type; however, TMPGEnc will automatically select the most appropriate output stream type after the video source is selected as well.

The [MPEG Settings] window's [System] tab contains various settings for the "System" type stream.

Stream List
Displays the streams to multiplex into one output stream. One can reorder the streams by dragging.

Output File
Select the name and location of the output file. Click the "Browse" button to browse the file tree.
"Add" Button
Add another video or audio component to be multiplexed. For the output file to be produced correctly, both an audio and video component at a minimum must be added to the list.

When a file is added to the list, information about that file is displayed to the right of the filename.

"Remove" Button
Select a file from the list and click this button to remove a stream for the list.

"Clear" Button
Clicking this button clears the stream list.

"Apply" Button
Click to create the MPEG output file from the streams in the stream list.

"Close" Button
Click to close the "MPEG Tool" window and discard the settings.
Simple Multiplex Simple De-Multiplex Multiplex De-Multiplex Merge & Cut Run Close Stream type Add Delete Clear Output List


[MPEG Tool]-[De-Multiplex]

Separate (demux) a MPEG movie into its component streams.

Screen shot

Separate the chosen movie into its component parts. The movie's streams are displayed in the "stream list". Check the box of the streams that should be exported.

Multiple angle and multiple audio tracks will appear in the "stream list" if present in the MPEG movie. "Simple Multiplex" can be used later to recombine a video and audio stream.

-[MPEG Tool]

Input
Set the input MPEG movie to demux. Click the "Browse" button to bring up the browse file dialog.

Stream List
The streams present in the "input" movie will be displayed in the "stream list". Left-click on the streams to be saved.

"Apply" Button
This button starts the demux. If one clicks on another tab, the current information will be lost.

"Close" Button
Click to close the "MPEG Tool" window and discard the settings.
Simple Multiplex Simple De-Multiplex Multiplex De-Multiplex Merge & Cut Run Close Input List


[MPEG Tool]-[Merge & Cut]

Divide one MPEG file into multiple files, or merge separate files into a contiguous file.

Screen shot

"Merge & Cut" can divide one MPEG file in multiple files or merge separate files into one contiguous MPEG file. For example, one would use the merge feature if one wanted to add sequence to the start of a movie, or use the cut feature if one wanted to cut out the ending credits.

The file parameters between the files need to be correct to successfully merge. These file parameters are listed below.

Parameters |  | Details
Video Parameters | Picture Size | The picture sizes must be equal.
 | Frame Rate | The frame rates must be identical.
 | Aspect Ratio | The aspect ratios must be identical.
 | Bitrate | The bitrates may vary. If the bitrates vary between the files, a variable bitrate is used.
 | VBV Buffer Size | The VBV buffer size is set to be the largest required for the file.
Audio Parameters | Sampling Frequency | The sampling frequencies must be identical.
 | Channel Mode | The channel modes must be identical.
 | Bitrate | The bitrates must be identical

-[MPEG Tool]
Stream Type
Set the output stream type from the pull-down menu.
Normally, one will want [MPEG-1 System (Auto)], which is the default, or [MPEG-2 (VBR)] for the stream type.

The [MPEG Setting] window's [System] tab contains various settings for the "System" type stream.

File List
The "file list" displays the files to be merged. The time length of the movie segments are listed below the "start" and "end" labels in the right columns. The start time is shown as 0:00 and the end time is blank unless one is using partial streams via "Merged Item Editing".
The output file is composed of all of the files in the file list merged together into one contiguous file. Drag the files in the "file list" to reorder the merge.
Double-click on the filename, or click the "Edit" button to bring up the [Merged Item Editing] window to change the length and location of the merges.

"Add" Button
Click to add a file to the list.

"Remove" Button
Click to remove a selected file from the "file list".

"Clear" Button
Removes all files from the list.

"Edit" Button
Click after selecting a file from the list, or double-click a the file, to bring up the [Merged Item Editing] window to edit the file's merge characteristics.

Screen shot

-[Merged Item Editing] Window

"Correct" Button
Click to correct the resolutions of the merge files by adjusting the selected files to lowest resolution.

This is an unrecoverable operation which can not be undone. Be click cautious.

Output
Select the name and location of the output file. Click the "Browse" button to browse the file tree.

"Apply" Button
Click to merge the list files from down into one MPEG output file.
The "Merged Item Editing" feature can be used to manipulate a single by selecting to only "merge" one file.

"Close" Button
Click to close the "MPEG Tool" window and discard the settings.
Simple Multiplex Simple De-Multiplex Multiplex De-Multiplex Merge & Cut Run Close Stream type Add Delete Clear Edit Correct Output List


[Merged Item Editing]

[MPEG Tools] - [Merge & Cut]

Screen shot

Let's one select the range of a merge from [MPEG Tools]'s [Merge & Cut] function.

In the case that one just wants to edit the play range of one file, this can be done here as well.

Note that the locations where the file can be cut are governed by the films GOP structure, so a film cannot be arbitrarily cut. The "GOP" structure tab of the "MPEG Settings" window contains more information about the GOP structure.

Filename
Displays the filename of the current movie. To select a different movie, one must return the "Merge & Cut" window.
Range
Displays the starting and end time range. Click the [image] button to advance one frame. The time range is displayed in minutes:seconds.

Usually, one will use the time bar and the "{" and "}" buttons to set the range instead of using absolute times, but absolute times can be set by entering them into the start and end time slots.

Trim Bar

The trim bar is below the preview frame. Use the trim bar to fast forward through the file to the correct position.
Previous Frame Button
Click to display the previous frame.

Next Frame Button
Click to display the next frame.

Play
Play the movie from the present position.

Pause
Pause a movie during playback.

Starting Position
Click to select the starting point for the new movie. The movie will start from the selected frame.

(End Position)
Click to select the ending point for the movie. The movie will be cut up to this frame.

"OK" Button
Click once the desired start and end points have been selected. These points will be displayed in the "Merge & Cut" window.

"Cancel" Button
Click to close the window and discard the settings.
Range Filename Trimbar Prev frame Next frame Play Pause Range start Range end Ok Cancel


[MPEG Settings]

Settings window for the MPEG encoder.

Screen shot

The settings for the MPEG encoder. One can use the settings contained within to optimize the encoding.

The [MPEG Settings] window contains [Video], [Advanced], [GOP Structure], [Quantize Matrix], [Audio], and [System] tabs.

"Video" Tab
This tab contains the standard MPEG video related settings, such as size and bitrate.
-[Video] Tab

"Advanced" Tab
This tab contains detailed settings relating to the source video, such as aspect ratio and interlacing.
-[Advanced] Tab

"GOP Structure" Tab
This tab contains settings relating to the MPEG format's GOP structure and sequencing.
-[GOP Structure] Tab

"Quantize Matrix" Tab
This tab contains settings relating to the matrix used by the MPEG encoder.
-[Quantize Matrix] Tab

"Audio" Tab
This tab contains settings relating to the MPEG audio stream, such as bitrate and sampling frequency settings.
-[Audio] Tab

"System" Tab
This tab contains settings relating to "System" type MPEG streams.
-[System] Tab

"OK" Button
Close the window and save the new settings.

"Cancel" Button
Close the window and discard any changes.
Ok Cancel Video Advanced GOP Structure Quantize Matrix Audio System


[MPEG Settings]-[Video]

Settings relating to MPEG video.

Screen shot

Here, one sets the characteristics of the MPEG output file. One usually selects the rate mode and bitrate which are most appropriate for the desired movie quality.

-[MPEG Settings]

Stream Type
One can select between MPEG-1 and MPEG-2 video as the stream type. Make sure that this is changed first because it can affect the options of other parameters.

Size
One can select the size of the output video. The left side value is the horizontal resolution and the right side value is the vertical resolution.

Normally, the resolution will be 160x120, 320x240, 640x480, or 720x480. 320x240 is the most popular for video on the internet. DVD video is 720x480, and VCD resolution is 352x240.

When selecting the video size, it is suggested that one uses a standard size. If one chooses not to use a standard size, the resolution must be a multiple of 16 or noise may appear at the edges.

Aspect Ratio
One needs to set the aspect ratio to an appropriate setting for the intended use. These values differ for MPEG-1 and MPEG-2 video which supports more aspect ratios.

MPEG-1 files need to have the appropriate aspect ratio set, which is dependent on whether a computer, a PAL television, or a NTSC television will be used in playback.
MPEG-2 files are more lenient, and do not require a different setting for a different region of television.
Stream Type | Settings | Notes
MPEG-1 Video | 1:1 (VGA) | 640x480 or 320x240 pixels. This produces a rather "square" movie.
4:3 525-line (NTSC) | 352x240, 704x480, 720x480 resolution movie for NTSC televisions.
4:3 625-line (PAL) | 352x288, 704x576, 720x576 resolution movie for PAL televisions.
16:9 525-line (NTSC) | 352x240, 704x480, 720x480 resolution movie for wide screen NTSC televisions.
16:9 625-line (PAL) | 352x288, 704x576, 720x576 resolution movie for wide screen PAL televisions.
MPEG-2 Video | 1:1 (VGA) | 640x480 or 320x240 pixels. This produces a rather "square" movie.
4:3 Display | Use a display scaling of 4:3, regardless of the resolution.
16:9 Display | Use a display scaling of 16:9, regardless of the resolution.
2.11:1 Display | Use a display scaling of 2.11:1, regardless of the resolution.

"Frame Rate" pull-down
Select the frame rate for the MPEG output file. The usual frame rates can be selected from the pull-down menu. Usually, one will want a frame rate of 29.97fps.

The "Setting" button allows one to set a non-standard frame rate.

Within the MPEG standard, there exists a capacity to encode at a multiple of a standard frame rates. For example, one can encode a video at 12 fps using 24fps coding queues. Some of these partial frame rates are included in the pull-down menu.

Rate Control Mode
This option selects which type of bitrate to use in the movie. It affects the quality and size of the movie. Each different control mode has its own advantages and disadvantages. Normally, one will want to select CBR, 2-pass VBR, or CQ.

The "Settings" button lets one set the specifics for each mode.

Mode Function Use
Constant Bitrate
(CBR) 		A fixed bitrate for the whole file.

- Settings 		Movies for the internet.
2-pass Variable Bitrate
(VBR) 		Search the source file to determine the most appropriate bitrate.

- Settings 		One of the most commonly used encoding methods, used where quality and size need to be balanced.
Manual Variable Bitrate
(MVBR) 		Select the minimum and maximum bitrates to use in the file. The actual bitrate settings are in the [GOP Structure] tab's [Force Picture] settings.

- Settings 		Use to limit the bounds of the bitrates.
Constant Quality Variable Bitrate
(CQ_VBR) 		This bitrate changes automatically with the stream to deliver a constant quality. It's probably better to use Constant Quality (CQ) than this mode.

- Settings 		Gives a good quality for very long films.
Constant Quality
(CQ) 		If a high image quality is a priority, this mode should be used. This gives good quality even in scene with rapid motion.

- Settings 		As always with high resolutions, the file size can also become large. This is good for short movies of high quality.

Bitrate
For CBR mode, one needs to set the desired bitrate. This is usually set by the "Settings" button to the right of the mode selection pull-down.

VBV Buffer Size
The VBV (Video Buffer Verifier) buffer is the buffer used by the encoder while encoding. It's suggested to let the VBV automatically determine the required size.

If one uses a template, the VBV buffer size which is most appropriate is also loaded. Set the VBV buffer to 0 to have TMPGEnc automatically guess the most appropriate size.

Profile & Level
This setting applies to MPEG-2 steams only.

Set the decode class to use on the file to decode. A higher profile level results in a higher quality of video.
Depending on the selected profile, the YUV format values and the DC bit levels which govern the encoding are changed. For DVD's or good quality MPEG-2, use the [Main Profile & Main Level (MP@ML)] setting.

Video Format
Select the video format for the output. NTSC is usually used.

Setting | Use
Component | Component video
PAL | Europe and Asia, less Japan.
NTSC | Japan and North American video format.
SEAM | Russian Television
MAC | EU television format.
Unspecified | Unspecified

Encode Mode
Select the output mode for the movie, such as interlaced or non-interlaced.

Setting | Function
Non-Interlace | Output a non-interlaced MPEG movie.
Interlace | Output an interlaced MPEG movie.
Playback 3:2 Pull-Down Output the information needed to replay the file at 23.976 or 24fps with 3:2 pull-down. This function causes a file to become a 29.97fps or 30fps interlaced output.

Inverse 3:2 Pull-Down

Encode a 29.976fps or 30fps movie using inverse 3:2 pull-down. This gives better quality than "interlace" mode for things like anime.

YUV Format
The YCbCr color mask. Usually, this is set to 4:2:0.

DC Component
Set the DC component depth. The higher the value, the smoother the movie.

This is usually set to 8-bit; however, the component precision may be different depending on the profile.

Motion Search Precision
Set how to search the movie so that the most appropriate bitrate can be found. A higher bitrate is required for scenes with much motion, and this sets how TMPGEnc will search for these motion intensive scenes if variable bitrates are to be used.

The following motion search type are supported.

Search Type | Speed | Quality | Remarks
Lowest Precision | Fastest | Lowest | Used by the impatient.
Low Precision | Fast | Low
Normal Precision | Normal | Normal | A well balanced function for speed and quality.
High Precision | Slow | High | An intensive motion search which takes a long time.
High Precision | Slowest | Highest | An intensive motion search that produces excellent results at the cost of time.
Motion Prediction | Fast | Situational dependent. | Depending on the movie, this can produce good results.
"OK" Button
Close the window and save the new settings.

"Cancel" Button
Close the window and discard any changes.
Ok Cancel Video Advanced GOP Structure Quantize Matrix Audio System Motion search Stream type Size Aspect ratio Frame rate Rate control Bitrate VBV Buffer Profile level Video format Encode mode YUV format DC component precision


[Constant Bitrate (CBR)]

Settings for the Constant Bitrate (CBR) mode.

Screen shot

Set a fixed bitrate for the encoder to use.

- [MPEG Settings], [Video Tab]

Bitrate
Set the bitrate.

The data will be transferred to the VBV buffer at the selected bitrate. The video will be blocky if the the bitrate is set too low.

"OK" Button
Close the window and save the new settings.

"Cancel" Button
Close the window and discard any changes.
OK Button Cancel Button Bitrate


[2-pass Variable Bitrate (VBR)]

Settings for the "2-pass Variable Bitrate (VBR)" mode selection option.

Screen shot

Every scene in a movie has a different optimal bitrate. In this mode, a scene is analyzed to determine the best bitrate before it is encoded. One can set the maximum, average, and minimum bitrates to use.

-[MPEG Settings], [Video Tab]

Average Bitrate
The average quality desired for the movie.

TMPGEnc will attempt to encode the movie close to the average bitrate, while still adjusting for scene motion. The higher the bitrate, the better the quality of movie and larger the file size.

Maximum Bitrate
The maximum bitrate setting restricts the encoder to an upper bitrate limit during encoding. The higher the value, the better the quality of scenes with rapid motion will become at the expense of file size.

Minimum Bitrate
This minimum bitrate setting guarantees a minimum bitrate for scenes with little motion if "Enable Padding" is enabled. If this value is set too low, even scenes with little motion will be of a poor quality.

Max Pass
Select which algorithm to use in the analysis pass for motion. Depending on if one is using the evaluation version or "plus" version of TMPGEnc, the available options can differ. The "2 pass (old type)" is available for all version and is a lower quality than the other algorithms.

Enable Padding
If this is enabled, padding (extra data) is added to scenes which would otherwise be below the minimum bitrate. VCDs and DVDs require a minimum bitrate, which is set from the media. It is suggested that this be enabled.

P picture spoilage
Set the degradation of the P picture in relation to the I picture during encoding. Valid values are from -100 to 100. A negative value decreases degradation and a positive value increases degradation.

This feature is only available with the newer algorithms.

B picture spoilage
Set the degradation of the B picture in relation to the I picture during encoding. Valid values are from -100 to 100. A negative value decreases degradation and a positive value increases degradation.

This feature is only available with the newer algorithms.

"OK" Button
Close the window and save the new settings.

"Cancel" Button
Close the window and discard any changes.
OK Button Cancel Button Average Bitrate Max Bitrate Min Bitrate Pass Enable Padding P Spoilage B Spoilage


[Manual Variable Bitrate (MVBR)]

Settings for the rate mode "Manual Variable Bitrate (MVBR)" option.

Screen shot

Set the maximum and minimum bitrates to use in the encoding. This affects the "Picture Type Settings" of the [GOP Structure] as well.

-[MPEG Settings], [Video] Tab

Maximum Bitrate
Set the maximum bitrate to use for scene of rapid motion. Use this to restrict the maximum bitrate for slower machines if desired.

Minimum Bitrate
Set the guaranteed minimum bitrate. If this is set too low, it is possible that normal scenes could look blocky.

Enable Padding
If this is enabled, padding (extra data) is added to scenes which would otherwise be below the minimum bitrate. VCDs and DVDs require a minimum bitrate, which is set from the media. It is suggested that this be enabled.

P picture spoilage for partial CQ
One can set the quality to be used for the P picture. This is related to the encoder Constant Quality (CQ) settings of the [Picture Type Settings] window. Valid values are from -100 to 100. A negative value decreases degradation and a positive value increases degradation.

This feature is only available with the newer algorithms.

B picture spoilage for partial CQ
One can set the quality to be used for the B picture. This is related to the encoder Constant Quality (CQ) settings of the [Picture Type Settings] window. Valid values are from -100 to 100. A negative value decreases degradation and a positive value increases degradation.

This feature is only available with the newer algorithms.

"OK" Button
Close the window and save the new settings.

"Cancel" Button
Close the window and discard any changes.
OK Cancel Max Bitrate Min Bitrate Enable Padding Partical CQ P spoilage Partical CQ B spoilage


[Automatic VBR (CQ_VBR)]

Setting for the "Automatic VBR (CQ_VBR)" rate mode.

Screen shot

Automatically determines the best bit rates for the encoding based on the desired quality. This is similar to the [Constant Quality (CQ)] setting.

-[MPEG Settings], [Video] Tab

Quality
Use the slide bar to determine the degradation of the P and B pictures, which determines the quality.

This will determine the quality of the video produced by the encoder.

Maximum Bitrate/dt>
Set the maximum bitrate to use. The actually maximum quality of the film is determined by this setting.

Minimum Bitrate
Set the minimum bitrate.

Enable Padding
If this is enabled, padding (extra data) is added to scenes which would otherwise be below the minimum bitrate. VCDs and DVDs require a minimum bitrate, which is set from the media. It is suggested that this be enabled.

"OK" Button
Close the window and save the new settings.

"Cancel" Button
Close the window and discard any changes.
OK Cancel Quality Max Bitrate Min Bitrate Enable Padding


[Constant Quality (CQ)]

Settings for the "Constant Quality" rate mode.

Screen shot

When one is more concerned about picture quality than file size, one should use this mode. Using the CQ mode, one can set all of the aspects of quality to use in the encoding. This mode will guarantee a high quality movie; however, movies with many scene with rapid motion can become rather large.

-[MPEG Settings], [Video] Tab

Quality
Use the slide bar to determine the degradation of the P and B pictures, which determines the quality. This will determine the quality of the video produced by the encoder.

If the bitrate needed for desired quality is set below the maximum bitrate, the maximum bitrate may never be reached.

Maximum Bitrate
Set the maximum bitrate to use. The actually maximum quality of the film is determined by this setting.

Minimum Bitrate
Set the minimum bitrate.

Enable Bitrate
If this is enabled, padding (extra data) is added to scenes which would otherwise be below the minimum bitrate. VCDs and DVDs require a minimum bitrate, which is set from the media. It is suggested that this be enabled.

P picture spoilage
Set the degradation of the P picture in relation to the I picture during encoding. Valid values are from -100 to 100. A negative value decreases degradation and a positive value increases degradation.

B picture spoilage
Set the degradation of the B picture in relation to the I picture during encoding. Valid values are from -100 to 100. A negative value decreases degradation and a positive value increases degradation.

"OK" Button
Close the window and save the new settings.

"Cancel" Button
Close the window and discard any changes.
OK Cancel Quality Max Bitrate Mix Bitrate Enable Padding P spoilage B spoilage


[MPEG Settings]-[Advanced]

Detailed settings related to the video source file.

Screen shot

The settings in this tab are related source file preprocessing. TMPGEnc can use filters to change or improve the source file.

All sort of filters can be applied to the source file stream. Check the box of the filters that should be applied.

"Double-click" on the filter name to open the settings windows for the filter. A preview of the filter applied upon the source movie is displayed in the set up window for each filter.

-[MPEG Settings]

Video Source Type
One can select the video source type to be either "interlaced" or "non-interlaced". The correct setting is automatically determined from the source file once specified. Normally, this setting should not be changed.

DV captures are saved in an interlaced format; however, one should be aware that some other capture formats are non-interlaced. If one sets this incorrectly, the encoder output will be quite ugly.

Field Order
An interlaced file can have one of two types of field orders, "Bottom Field First" or "Top Field First". One doesn't need to worry about this if a non-interlaced source file is used.

Normally, one will use the "Bottom Field First".

Additional options for interlaced file preprocessing can be found in the "Deinterlace" filter, such as field order selection.

Source aspect ratio
One can select the aspect ratio of the source file.

Aspect Ratio | Source Type
1:1 (VGA) | For internet video sources, such as resolutions of 640x480 or 320x240.
4:3 525line (NTSC) | 352x240, 704x480, 720x480 NTSC sources
4:3 525line (NTSC, 704x480) | 352x240, 704x480, 720x480 NTSC DV capture video
4:3 625line (PAL) | 352x288, 704x576, 720x576 PAL sources
16:9 525line (NTSC) | 352x240, 704x480, 720x480 widescreen NTSC
16:9 625line (PAL) | 352x288, 704x576, 720x576 widescreen PAL
4:3 Display | A source film in a 4:3 aspect ratio
16:9 Display | A source film in a 16:9 (widescreen) aspect ratio
2.11:1 Display | A source film in a 2.11:1 aspect ratio

One should normally have no need to change this setting; however, it is useful when one wants to change how the source file is interpreted.

Video Arrangement Method
This changes the output file's screen placement of the film if the aspect ratio is changed. Normally, one will want this set to "Full screen (keep aspect ratio)"; however, if one changed the source file aspect ratio, one may want to change this so boundary padding (black margins) is added.

More detailed arrangement can be done via the Clip Frame] filter, which manipulates the frames during the encoding.

The "Center (Custom Size)" option is used, the sizes should be entered into the dimension fields.

Source Range
Set the range of frames in the source file to use. This can be used to remove unwanted sections, such as commercials.

Check the box to enable this filter and then double-click the filter name to open the [Source Range Settings] window.

24fps Conversion
Converts a 30fps (60 field) movie to 24fps with flicker reduction prioritized. Many encoder cards save TV broadcasts at 30fps. This filter converts the film back to 24fps, thereby reducing flicker.

Check the box to enable this filter and then double-click the filter name to open the 24fps Conversion Settings] window.

Ghost Reduction
This filter reduces ghosting caused by capture from analog sources.

Check the box to enable this filter and then double-click the filter name to open the [Ghost Reduction] window.

Noise Reduction
This filter reduces the noise (snow) in a source file that was induced during capture by electromagnetic interference.

Check the box to enable this filter and then double-click the filter name to open the [Noise Reduction Settings] window.

Sharpen Edges
This filter emphasize the picture edges. This can particularly improve the quality of captured animation. Check the box to enable this filter and then double-click the filter name to open the [Sharpen Edges Settings] window.

Simple Color Correction
This filter adjust the color of the video. One would use this if the color just didn't look "quite right."

Check the box to enable this filter and then double-click the filter name to open the [Simple Color Correction Settings] window.

Custom Color Correction
This filter applies a custom RGB color mask to the film.

Check the box to enable this filter and then double-click the filter name to open the [Custom Color Correction Settings] window.

Deinterlace
If the source movie is interlaced, one can use this preprocessor to deinterlace the movie. For a non-interlaced source, this option does nothing.

Check the box to enable this preprocessor and then double-click the filter name to open the [Deinterlace] window.

Clip Frame
This preprocessor can remove noise from the edges of a film by adjusting the frame size (trimming the frame).

Check the box to enable this preprocessor and then double-click the filter name to open the [Clip Frame Settings] window.

3:2 Pull down
This preprocessor converts 24fps movie to a 30fps (60 field) movie. This is the opposite of the [24fps Conversion] preprocessor. This preprocessor produces a non-interlaced output.

Do not convert frame rate
Enable this to disable frame rate conversion. This is normally a bad thing because it will cause a film's audio and video to become out of sync if the source frame rate different from the selected output frame rate.

Normally, this is not enabled.

"OK" Button
Close the window and save the new settings.

"Cancel" Button
Close the window and discard any changes.
OK Cancel Video Advanced GOP Structure Quantize Matrix Audio System Video Source Type Field Order Aspect Ratio Arrangement Method Source Range 24fps conversion Ghost reduction Noise reduction Sharpen edges Simple Color Correction Custom Color Correction Deinterlace Clip 3:2 pulldown no conversion


[Source Range]

Set the range of frames to encode from the source file.

Screen shot

This filter can be used to remove unwanted sections from a film, such as a commercial.

-[MPEG Settings], [Advanced]

Scroll Bar
Drag the scroll bar to quickly change file position.

"Set start frame" Button
Click this button to select the currently displayed frame as the starting frame. The encoder will start from the selected frame.

"Move to start frame" Button
Move the to the current start frame.

"Start Frame"
This edit box lets one enter the start frame number. 0 is the lowest possible valid value.

"Set end frame" Button
Click this button to select the currently displayed frame as the ending frame. The encoder will end on the selected frame.

"Move to end frame" Button
Move to the current end frame.

"End Frame"
This edit box lets one enter the frame number to the end frame. A value of -1 sets the end frame to the last frame in the file.

Audio gap correction
This will allow one to set the a compensation time for slippage between audio and video. A negative value moves back, and a positive value moves forward in file time.

One can set this value more easily if the waveform graph is enabled.

"Set start frame" button
Sets currently displayed frame as starting frame to encode/cut.

"Move to Start frame" button
Moves to selected start frame.

"Set end frame" button
Sets currently displayed frame as starting frame to encode/cut.

"Move to End frame" button
Moves to selected end frame.

"Cut editing" button
With this feature, you can cut/clip selected area.

Menu | Function
Undo | Undoes previous cut operation.
Cut currently selected area | Cuts currently selected area which is selected by "Set start frame" button and "Set end frame" button. Strictly speaking, frames selected as start/end frame would be included to be cut.
Cut except currently selected area | Clips currently selected area which is selected by "Set start frame" button and "Set end frame" button. Strictly speaking, frames selected as start/end frame would be included to be cliped.
Reset cut editing | Discards all changes in cut editing, and goes back to original uncut condition.

Display Audio
Check this box to display a waveform graph for the audio track.

"Defaults" Button
Return all of the values to defaults.

"OK" Button
Close the window and save the new settings.

"Cancel" Button
Close the window and discard any changes.
Copyright (C) 2002 / Pegasys Inc, All rights reserved.
Move to start frame OK Cancel Defaults Start Frame Move to start frame End frame Move to end frame Start Frame number End Frame number Audio gap Display Audio Scroll Bar


[24fps conversion]

[24fps conversion (inverse telecine)]

This filter can manipulate the settings for each frame, as in frame reduction..

Screen shot

This filter can convert a 30fps (60 field) movie into a 24fps movie. Frame flicker may occur on films captured from the television at 30fps because the television output is 24fps.

The default setting is "24fps (flicker prioritized)".

Frame Display
The upper area of the window contains the frame display area. Two frames are displayed, "a" and "b". The "a" frame is the frame as it was taken from the file. The "b" frame is current frame field combined with the next frame field. The field combination is dependent on the field order.

One will be able to see the scan lines on the "a" frame, and the clean "b" frame.

Click on a frame to select it. Selected frames are displayed with a red border. Right-click to bring up the options submenu.

"OK" Button
Close the window and save the new settings.

"Cancel" Button
Close the window and discard any changes.

"Auto-settings" Button
Automatically setup the 24fps conversion. Click to display the [Auto-settings] window.

-[Auto-settings] window

"Clear" Button
Clear all selected frames.

"Check" Button
Click the "Check" button to automatically check for any audio synchronization slippage.

Frame rate selection
Select the desired frame rate from the pull-down menu. The available frame rates differ between source movies.

If one changes the frame rate, the frame rate will also be changed in the [Video] tab automatically.

Right-click menu
Right-click to display the options sub-menu. Depending on if the preview or the frame window is clicked upon, the sub-menu will affect that area.

The sub-menu contains the following options.

Menu | Function
Enable automatic setting
after this frame 		Use the current frame setting on all proceeding frames.
Apply pattern to
proceeding frames 		Specify a deinterlace sequence for a series of frames. A "0" to not output the frame, a "1" to output the frame, and a "2" to copy the frame to the current output.

In the case of "1e01af00", the current frame would be output, the next would be the even field, the next not output, et cetera.

Symbol | Deinterlace
n | Do not deinterlace
e | Even field (adaptation)
o | Odd field (adaptation)
d | Double
f Even-Odd field
(field, adaptation)
me | Even field (animation adaptation)
mo | Odd field (animation adaptation)
md | Double (adaptation)
mf Even-Odd field
(field, animation adaptation)
ae | Even field (animation adaptation 2)
ao | Odd field (animation adaptation 2)
ad | Double (adaptation)
af | Even-Odd field (animation adaptation 2)
Clear after this frame | Do not apply any settings to proceeding frames.
Deinterlace since this
frame is specified 		Deinterlace all proceeding frames in the manner selected from the side-menu. This is the same as using the [Deinterlace] preprocessor.
Move to specified frame Go to either the original frame, or to the frame that will be converted to 24fps by entering the frame number.

Deinterlace | The deinterlace setting for the selected frame. These options are the same as found in the [Deinterlace] preprocessor.
Output frame | Output the selected frame into the output stream.
Copy frame | Copy the selected frame. This will cause the next frame to be the same as the current selected frame.
List of commands | List all of the possible commands with keyboard shortcuts.
Display thumbnail pictures
in high quality 		Improve the resolution in which the frames in the frame display area are displayed.
Display flicker power | Display the flicker power above the preview frame. The flicker power is calculated by the motion difference between the frames.
thumbnail Auto Settings Clear OK Cancel Check Frame rate


[24fps conversion]-[auto-settings]

This option is available from the [24fps conversion] window.

Screen shot

Use this window to automatically set up the deinterlace mode for 24fps conversion.

Setting Method
One can select what to prioritize during the conversion.

Selection | Function
24fps flicker prioritized | Convert to 24fps with an emphasis on smoothing the film.
24fps motion prioritized | Convert to 24fps with an emphasis on smoothing motion.
24fps non-interlace source | Use this to convert a non-interlaced source file to 24fps.
30fps flicker prioritized | Convert to 30fps with an emphasis on smoothing the film.
60fps Simple | Rearrange the film to be 60fps.
60fps 24/30fps mixed source | Smooth the motion of a mixed 24fps/30fps source.

Deinterlace
Set the deinterlace technique if desired. TMPGEnc automatically tries to detect the best technique automatically.

-[Deinterlace] window

Deinterlace set threshold
If "automatic" is entered for the deinterlace technique, the threshold can be set. This selects the number of lateral lines to consider in the de-interlacing. Normally, this value is set to about 600.

"Start" Button
Click this button to start converting the movie to 24fps using the selected methods.

Enable when encoding
Click this button to convert the frames while encoding. This causes the other settings in the [24fps conversion] window to be ignored.

"Cancel" Button
Close the window and discard any changes.
OK Cancel Run at encode Method Deinterlace Threshold


[Ghost Reduction]

Reduce picture ghosts.

Screen shot

When one uses a film captured from an analog source, such as a television, one will want to use this to reduce the picture ghosting.

Masks are applied to the film in order to remove the ghosting. Few, well-configured masks are more efficient than many masks.

-[MPEG Settings], [Advanced]

Scroll Bar
Use the scroll bar to select where in the film to preview the filter effects.

Layer List
Click the "add" button to add a layer to the list. It can later be removed by the "delete" button.

"Add" Button
The "add" button creates a container for the ghost reduction mask.

One or two well tuned layers will be the most efficient.

"Delete" Button
Remove the selected layer from the layer list.

How to
Ghost reduction can be adjusted by "Edge", "Blightness", and "Vertical ghost". "Edge" can be used for ghost around outline of objects. "blightness"can be used for doubled pictures. "Vertical ghost" can be applied to vertical line ghost.

Method Detail
Edge

This can be used for outline shape ghost by adjusting 3 parameters, "Position", "Strength" and "Blur".

"Position" adjusts delay of reflected wave, "Strength" adjusts strengeth of reflected wave, "Blur" adjusts diffusion of electric wave.

By "Auto-setting" button, ghost can be automatically detected, and these parameters can be automatically adjusted. however, this is not most accurate for human eyes, it is recommended to adjust manually for better results. "Default" button resets those 3 parameters to default.
Brightness

This can be used for doubled pictures by adjusting 3 parameters, "Position", "Strength" and "Blur".

Position" adjusts delay of reflected wave, "Strength" adjusts strengeth of reflected wave, "Blur" adjusts diffusion of electric wave.

By "Auto-setting" button, ghost can be automatically detected, and these parameters can be automatically adjusted. however, this is not most accurate for human eyes, it is recommended to adjust manually for better results. "Default" button resets those 3 parameters to default.
Vertical ghost

This can be used for Vertical ghost line by adjusting "Strength".

"Strength" adjusts strengeth of reflected wave.

By clicking "Create Pattern" button, creates vertical line ghost pattern which is based on currently displayd scene."Default" button resets "Strength" to default.

Enable Filter
Apply the filter to the preview frame. Click on the layer list check boxes to enable and disable previewed filters.

Zoom View
Check this box to display the [Zoom View] window. Use this to zoom into the preview frame for closer view of how the filter is affecting the pixels.

-[Zoom View] window

"Auto-settings" Button
Click this button to have TMPGEnc automatically try determine the best "Strength" and "Blur" settings for the layer; however, it is better for one to set the levels themselves.

"Default" Button
Return all of the settings to the defaults.

"OK" Button
Close the window and save the new settings.

"Cancel" Button
Close the window and discard any changes.
OK Cancel Scroll Bar Layer List Add Delete Method Filter Enable Zoom


[Noise Reduction]

This filter softens source noise.

Screen shot

Remove noise, such as caused by video degradation, from the source stream.

"Speckles" seen on old VHS and analog tapes are referred to as noise. The actual locations of noise are difficult to identify; however, one pixel can stand out in contrast to another between frames. This can be seen easily in animation, but it's more difficult to detect other types of media.

- [MPEG Settings], [Advanced]

Scroll Bar
Use the scroll bar to select where in the film to preview the filter effects.

Still Picture
Set the degree of shading. If this number is too high, the entire film will become blurry. If it is too small, the noise may not be removed.

Range
Set the size of the pixels. A large value may cause the video to look blocky.

Time Axis
Set the grade of the time difference.

This value determines how far in the along the time line the comparison frame is taken.

High quality mode
Check this box to enable "high quality" noise reduction. Enabling this option will signficantly increase encode time. One should only enable this if they have much time to spare.

Using "high quality" mode will make sure that the cleanest possible output is produced.

Enable filter
Apply the filter to the preview frame.

Zoom View
Check this box to display the [Zoom View] window. Use this to zoom into the preview frame for closer view of how the filter is affecting the pixels.

-[Zoom View] Window

"Default" Button
Return all of the settings to the defaults.

"OK" Button
Close the window and save the new settings.

"Cancel" Button
Close the window and discard any changes.
OK Cancel Defaults Scroll Bar still pictre range time axis Filter enable Zoom High Quality


[Sharpen Edges]

Emphasize the picture edges.

Screen shot

This filter emphasizes the picture edges.

This filter emphasizes the edges by brightening them; it is effectively the opposite of shading. This filter can cause noise to stand out because of this, as well as causing discoloration of skin tones; however, it can greatly improve the sharpness of animations.

-[MPEG Settings], [Advanced]

Scroll Bar
Use the scroll bar to select where in the film to preview the filter effects

Horizontal
Set the intensity of the edge filter in the horizontal.

Vertical
Set the intensity of the edge filter in the vertical.

Field Base
Check this to include sharpening the field edges. This needs to be enabled for interlaced movies.

Enable filter
Apply the filter to the preview frame.

"Default" Button
Return all of the settings to the defaults.

"OK" Button
Close the window and save the new settings.

"Cancel" Button
Close the window and discard any changes.
OK Cancel Defaults Scroll Bar Filter Enable Horizontal Vertical Field Mode


[Simple Color Correction]

Adjust the color of the film.

Screen shot

For most, "Simple Color Correction" should be adequate when the film color needs to be adjusted.

The brightness, contrast, gamma, reds and blues and call be adjusted.

-[MPEG Settings], [Advanced]

Scroll Bar
Use the scroll bar to select where in the film to preview the filter effects.

Brightness
Sets the brightness mask intensity. Valid values are between -255 and 255. A value of 0 does not change the brightness from the original.

Contrast
Sets the contrast mask intensity. Valid values are between -255 and 255. A value of 0 does not change the contrast from the original.

Gamma
Sets the gamma correction between the colors. Valid values are between -255 and 255. A value of 0 does no correction.

Gamma correcting brings out the difference between the color, and therefore can produce a better brightening of the film contents than the by changing the "Brightness." This correction produces a more natural looking brightness.

Red
Sets the red intensity. Valid values are between -255 and 255.

Blue
Sets the blue intensity. Valid values are between -255 and 255.

Enable Filter
Apply the filter to the preview frame.

"Default" Button
Return all of the settings to the defaults.

"OK" Button
Close the window and save the new settings.

"Cancel" Button
Close the window and discard any changes.
OK Cancel Defaults Scroll Bar Filter Enable Brightness Contrast Gamma Red Blue


[Custom Color Correction]

Adjust the film colors by detailed masking.

Screen shot

Change the colors of the film by applying multiple characteristic masks.

Once one adds a filter via the "Add" button, one can apply detailed changes to the film color.

-[MPEG Settings], [Advanced]

Scroll Bar
Use the scroll bar to select where in the film to preview the filter effects.

Field List
Displays all of the current, user-defined filters. Click the "add" button to add a filter to the list. It can later be removed by the "delete" button.

"Add" Button
Add a new filter to the filter list.

"Delete" Button
Remove a filter from the filter list.

Type
Select the type of color mask to create from the pull-down menu. One can select from RGB, YUV, CMYK, HSV, or "Basic Settings" color mask types. The mode pull-down sets how the mask should be applied.

If a type of "Basic Settings" and a method of "Basic Settings" are selected, the filter is the same function as the [Simple Color Correction] filter.

Mode
Select how the mask should be applied.

The following are available in the pull-down.

Setting | Function
Brightness | Apply to the brightness of the colors.
Contrast | Apply to the contrast of the colors.
Gamma Correction | Apply to the gamma correction of the colors.
Saturation | Apply to the brilliance of the colors.
Hue | Apply to the color balance.
Dark emphasis | Bring out the darkness in each pixel.
Contrast (0 base) | Apply to the black contrast. Higher values make things brighter.
Contrast (1 base) | Apply to the white contrast.
De-scale CCIR601 | In CCIR601, the brightness values are between 16-235 and the color values are between 16-240. This filter converts all values to be between 0 and 255.
Min Limit | Lower the color values. Used to bring out the darks.
Max Limit | Raise the color values. Used to bring out the lights.
Clip Low/High of Lum | Clip the luminance. Used for the same reasons as "Max Limit" and "Min Limit". Basically, this is just a luminance restriction mode.

Synchronize Values
Check this box to lock the relative relationships between the settings. The "Shift" key accomplishes the same thing.

"Default" Button
Return all of the settings to the defaults.

"Enable filter"
Apply the filter to the preview frame. Click on the filter list check boxes to enable and disable previewed filters.

Show Histogram
Check this box to display a histogram for the colors.

One can select which color profile to use from the histogram window.

Zoom View
Check this box to display the [Zoom View] window. Use this to zoom into the preview frame for closer view of how the filter is affecting the pixels.

-[Zoom View] Window

Overlay
Check this box to display the overlay using DirectX.

If one has a TV board, this can be used to do real-time masking.

"OK" Button
Close the window and save the new settings.

"Cancel" Button
Close the window and discard any changes.
OK Cancel Defaults Scroll Bar Filter List Add Remove Type Parameters Enable filter Zoom Overlay Histogram Syncronous Method


[Deinterlace]

Select how to deinterlace the film.

Screen shot

When a movie is saved as interlaced, a non-interlaced MPEG output can be produced from the interlaced source.

If the source movie is already non-interlaced, this option will do nothing. This filter is primarily used to deinterlace captured DV video.

-[MPEG Settings], [Advanced]

Scroll Bar
Use the scroll bar to select where in the film to preview the filter effects.

Method
Select how to deinterlace the movie. Using the "Double" option will produce the smoothest output.

Selection | Deinterlace Method
None | Do not deinterlace the film.
Even field | Only use the even field for deinterlacing.
Even field (adaptation) | Only use the even field, but use the adjacent frames to fill any missing data.
Even field (animation adaptation) | Only use the even field for deinterlacing. Optimized for animation.
Even field (animation adaptation 2) | Only use the even field for deinterlacing. Optimized for animation.
Odd field | Only use the odd field for deinterlacing.
Odd field (adaptation) | Only use the odd field, but use the adjacent frames to fill any missing data.
Odd field (animation adaptation) | Only use the odd field for deinterlacing. Optimized for animation.
Odd field (animation adaptation 2) | Only use the odd field for deinterlacing. Optimized for animation.
Double | Use both the even and odd numbered fields for deinterlacing. Still frames will double in size, but it will produce the smoothest output for scenes with motion.
Double (adaptation) | Use both the even and odd numbered fields for deinterlacing, while considering the adjacent frames.
Double (field) | Use the adjacent fields in deinterlacing. This doubles the frame rate.
Double (field, adaptation) | Use the even, odd, and adjacent fields in deinterlacing. This doubles the frame rate.
Even-Odd field
 Use the same even and odd fields in deinterlacing. This doubles the frame rate of the output.
Even-Odd field
(adaptation) 		Use the same even and odd fields, and adjacent frames in deinterlacing. This doubles the frame rate of the output.
Even-Odd field
(animation adaptation) 		Use the same even and odd fields, and adjacent frames in deinterlacing. This doubles the frame rate of the output. Optimized for animations.
Even-Odd field
(animation adaptation 2) 		Use the same even and odd fields, and adjacent frames in deinterlacing. This doubles the frame rate of the output. Optimized for animations.

The word in the parenthesis following the method name actually means.

Word | Meaning
Adaptation | The adjacent frames are considered.
Animation | Filters that are especially good for animation.
Field | Use the even and odd fields, improving quality but doubling the frame rate.

Enable filter
Apply the filter to the preview frame.

"Default" Button
Return all of the settings to the defaults.

"OK" Button
Close the window and save the new settings.

"Cancel" Button
Close the window and discard any changes.
OK Cancel Defaults Enable Filter Method


[Clip Frame]

Clip the frame margins.

Screen shot

Resize the frame by clipping the edges.

-[MPEG Settings], [Advanced]

Scroll Bar
Use the scroll bar to select where in the film to preview the filter effects.

"Clip Frame" Button
Click to display the frame clipping options.

The frame clipping option are as follows.

Item | Description
Top, Bottom, Left, Right | The distance in pixels in which to clip.
Top Mask, Bottom Mask, Left Mask, Right Mask | Enable or disable the appropriate boundary clipping.
Resized image is used
to display preview. 		Click to apply the clipping to the preview.

"Arrange Setting" Button
The location of a trimmed movie may need to be adjusted. This option can move the position of a movie in the field of view. This can also be done via the "Video Arrangement Method" in the [Advanced] tab.

The effects of the arrangement can automatically be seen on the preview frame.

"Mask Color setting" Button
Select which color denotes a clipped area.

"Default" Button
Return all of the settings to the default.

"OK" Button
Close the window and save the new settings.

"Cancel" Button
Close the window and discard any changes.
OK Cancel Defaults Scroll Bar Clip Settings Clip Settings Dialog Arrange Image Color Settings


[Zoom View]

Zoom into the preview frame.

Screen shot

The "Zoom View" is the a portion of the contents of the preview window. It is useful to see the effects of a filter on the actual pixels.

The zoom can be either 2x, 4x or 6x.

The zoom view window can also be resized.


[MPEG Settings]-[GOP Structure]

Change the MPEG GOP settings.

Screen shot

MPEG streams are actual saved in multiple Group Of Pictures (GOP) blocks.

A group of pictures contains one I, and several P and B frames. If one looked at the GOP frame sequence, it'd be similar to this "IBBPBBPBBP". Before one changes any of these settings, one should check the MPEG faqs.

-[MPEG Settings]

GOP Pictures
The default settings for the GOP I, P, and B pictures are 1, 5, and 2 respectively. The B value is the number of frames to follow the P picture.

For a non-"Closed GOP" the I, P and B picture orders are arbitrary.

Number of I picture(s) in GOP
The number of I picture(s) in the GOP. This is usually set to "1".

Number of P picture(s) in GOP
The number of P picture(s) in the GOP.

Number of B picture(s) in GOP
The number of B picture(s) in the GOP.

Output interval of sequence header
The sequence header holds information on the resolution, aspect ration, and the VBV buffer. This information is used by the decoder upon playback.

This is normally set to "0". In that case, the sequence header is written at the start of the MPEG file. If the settings are changed in the [Force Picture Type Setting] window, this should be set to "1".

Max number of frames in GOP
Set the maximum number of frames per group of pictures. This governs how often to insert an "I" picture. This needs to be set if "3:2 Pull-down" or "Inverse 3:2 Pull-down" is selected for the "encode mode" in the [Video] tab.

Normally, this is set to "0", which does not limit the size.

DVD video uses this. For example a NTSC DVD is restricted to a maximum of 36 frames, so one could use 18 without any trouble.

"Closed GOP"
Enable this if one is planning to reedit the file with other software. This option removes data dependencies between GOPs.

Checking this option removes the "B" picture dependencies from the GOP which causes and increase in file size.

Detect scene change.
Enabling this can help detect scene changes and thereby decrease degradation between scenes caused by compression.

The the color characteristics between I pictures, scene changes can be detected. Since the encoding relies on temporal information, it's best to enable this.

This can not be used concurrently with "Force Picture Type Setting".

"Force Picture Type Setting" and "Settings" Button
The [Force Picture Type Setting] window's settings can be used to brute force GOP frame content and locations. Check this box to use those settings.

One doesn't need to check this if one does not want to use special GOP structure formats. Don't forget to set up how to manipulate the GOP via the "Settings" button.

-[Force Picture Type Setting]

"I Picture Only" Button
Construct the GOP from the "I" picture only. This will result in horrible encoder efficiency. Use this only if one is planning to reedit the file.

"I, P Picture Only" Button
Construct the GOP without the "B" picture. This will produce a high quality picture for scene with motion, but greatly increase file size.

"Standard" Button
Use the standard TMPGEnc GOP.

"OK" Button
Close the window and save the new settings.

"Cancel" Button
Close the window and discard any changes.
OK button Cancel button Video Advanced GOP structure Quantize matrix Audio System GOP structure Number of I picture in GOP Number of P picture in GOP Number of B picture in GOP Output interval of sequence header MAX number of frames in a GOP Output bitstream for edit(Closed GOP) Detect Scene change Force picture type setting I picture only I, P picture only Standard


[Force Picture Type Setting]

Change the picture type for a frame.

Screen shot

This window lets one manipulate the GOP structure directly. This can be used to manually insert an "I" picture upon a scene change, or change other picture characteristics by changing the characteristics of the GOP structure.

So when does one use this?
As good as TMPGEncs scene change detection is, the human eye will always be better. Due to the fact that temporal dependencies exist between the "B", "P" pictures and the "I" picture, ideally the "I" picture is at the start of a scene change. Careful manipulation of the GOPs can greatly improve the quality of the movie.

The "GOP Structure" tab in the [MPEG Settings] window contains other GOP structure options.

Frame display
The frame display is at the top of the window. Below each picture is the frame number, as well as the type of picture.

One can change the GOP of a file that is currently being encoded.

Frame list
The list displays the frame number. To the right of the frame number, the type of frame is displayed in parentheses.

"Auto-setting" Button
Ideally, an "I" picture should be at each scene change. In lieu of marking every scene change, TMPGEnc can automatically detect scene changes. Click this button to use automatic scene change detection.

Normally, the scene change sensitivity is set about 100.

"Clear" Button
Clear all selections in the frame list.

"Bitrate info" Button
Displays the bitrate range for the movie.

"Load" Button
Load a frame setting list. The frame setting list is saved in plain text format so it can be easily edited if desired.

"Save" Button
Save a frame setting list. This allows one to easily backup the current frame list.

The frame setting list is saved in plain text format so it can be easily edited if desired.

"Add" Button
Click to insert an "I" picture in the setting list.

"Delete" Button
Clear the frame selected in the settings list.

Right-click menu
Right click on a frame to display a sub-menu.

The following options are in the sub-menu.

Menu Option | Function
I Picture | Designate the selected frame as an "I" picture.
P Picture | Designate the selected frame as an "P" picture.
B Picture | Designate the selected frame as an "B" picture.
P Copy | Copy the current "I" or "P" picture and generate a "P" picture.
B Copy | Copy the current "I" or "P" picture and generate a "B" picture.
None | Set the picture type as "none."
Set bitrate Set the bitrate for the current and proceeding frames. This uses VBR encoding.
The absolute or relative bitrate for the movie from this frame forward can be changed using this dialog.
This will also force the current frame to become an "I" picture.

Set relative frame quality A normal encoded stream has a quality of "1". This can be used to improve the quality of the selected frame.

This does not change the picture type.
Set Quantize matrix Set the quantize matrix for this and the proceeding frames. This is the same as the "Quantize Matrix" tab in the "MPEG Settings" menu. This also forces the frame to become an "I" picture.

New group (GOP) Insert a new GOP when encoding.
This causes the selected frame to become an "I" picture.
Set motion search type | Set the motion search type for this frame. This is the same as the option available in the [MPEG Settings] window's [Video] tab. This setting only applies to the current frame. This does not change the picture type setting explicitly.
Deal rate selected frame
by selected pattern 		Select the pattern for the GOP. This also can be changed in the "GOP Structure" tab. An example GOP sequence is "IBBBBBPP", which is the standard DVD GOP.
Clear after this frame | Clear the selected settings for the proceeding frames.
List of command | List all of the possible commands with keyboard shortcuts.
Reduce thumbnail pictures
in high quality 		Improve the resolution in which the frames in the frame display area are displayed. This will cause the refresh rate to fall.

"OK" Button
Close the window and save the new settings.

"Cancel" Button
Close the window and discard any changes.
Frame view Settings List Auto Clear Bitrate info Load Save Add Delete OK Cancel


[MPEG Setting]-[Quantize Matrix]

Settings specific to the MPEG encoding quantize matrix.

Screen shot

Settings for how the I, P, and B picture should be encoded.

-[MPEG Settings]

Blocks
MPEG predicts motion between frames in the temporal direction, and then uses discrete cosine transforms (DCT) to organize the redundancy in the spatial directions. The matrices are 8x8. The "intrablock" matrix if for the "I" frame which uses no previous temporal data. The "non-intrablock" matrix is use for the "P" and "B" frames.

The matrices must be 8x8.

Matrix Templates
Several matrices are included in the templates pull-down. Custom matrices templates can be added or removed by the "Save" and "Delete" buttons. Normally, this should set to "Default".

"Save" Button
Add a matrix template.

"Delete" Button
Remove a matrix template.

Output YUV data as basic YCbCr, not CCIR601
Enabling this cause the 8-bit value for the components to be of a value between 0 and 255 in YCbCr, and not the CCIR601 values of 16 to 235.

This is usually disabled.

Use floating point DCT
DCT means discrete cosine transform. The MPEG encoder uses DCT during encoding.

Using this reduces the DCT error and stabilizes the video; however, it increases the time it takes to encode unless one's processor has a SSE unit.

Even though this option increases the encode time, it's a good idea to have it enabled.

No motion search for still picture part by half pixel
This changes how the encode predicts motion.

This eliminates any blurring in still frames; however, slight motion may also not be detected.

Soften block noise
This can help clean up block noise with obvious edges caused by scene of rapid motion with an insufficient bit rate.

Set the shading intensity value for the blocks to be between 0 and 100. 100 is the strongest noise reduction, but the picture will become blurred.

The best option is to raise the bitrate, but for cases that one can't, such as VCDs, this option will suffice.

"OK" Button
Close the window and save the new settings.

"Cancel" Button
Close the window and discard any changes.
OK Cancel Video Advanced GOP Quantize Matrix Audio System block matrix template list Save Delete YUV data conversion Floating point DCT Still Frame Soften block noise


[MPEG Settings]-[Audio]

Settings related to the MPEG audio stream.

Screen shot

Change the characteristics of the MPEG audio output.

-[MPEG Settings]

Stream Type
One can select between "MPEG-1 Audio Layer I" or "MPEG-1 Audio Layer II". Normally, one wants to select "MPEG-1 Audio Layer II".

Through the "External Tools" one can use other audio formats, such as "MPEG-1 Audio Layer III".

Sampling frequency
Select the sampling frequency of the MPEG audio. The set value is determined from the source file by default.

Channel Mode
Select the channel mode to output. The modes are "Stereo", "Joint-Stereo", "Dual Channel" and "Mono."

"Joint-Stereo" combines the left and right channels into one audio track. "Dual Channel" uses separate audio tracks for each channel. This is particularly applicable to multilanguage VCDs.

Bitrate
Select the bitrate. The higher the bitrate, the better the audio resolution, but this improvement comes with a larger file size. Normally, 192kbps is sufficient.

This bitrate, combined with the video bitrate, become the overall bitrate of the movie. If the transfer rate from the media is too close the video bitrate, the audio transfers will be insufficient.

Error Protection
Add a CRC to the audio stream to ensure data validity. This is usually not enabled.

Original Flag
Check this to enable the "original" flag in the MPEG audio header.

Copyright flag
Check this to enable the "copyright" flag in the MPEG audio header.

Private Flag
Normally, this is not enabled. This can have different effects depending on the decoder.

De-emphasis flag
Usually set to "None", this filter removes any pre-inserted emphasis on any part of the track.

Use Audio Edit
Check this box and click the "Setting" button to enable custom track effects, such as fade in.

The "Setting" button opens the [Audio Effect] window.

-[Audio Effect]

"OK" Button
Close the window and save the new settings.

"Cancel" Button
Close the window and discard any changes.
OK Cancel Video Advanced GOP Quantize Matrix Audio System Stream Type Deemphasis Flag Error Protection Original Flag Copyright Flag Private Flag Bitrate Channel Mode Sampling Frequency Audio Effects


[Audio Effect]

Set simple audio effects.

Screen shot

Set the audio volume, fade-in and fade-out.

Slide Bar
Use the slide bar to quick go to a location in the audio track.

"Play" Button
Play the audio from the location selected by the slide bar.

"Pause" Button
Pause the audio playback.

"Stop" Button
Stop the audio playback.

Change Volume.
Check this box to change the volume for the complete film.

Valid values for the volume are from 0 to 400, where 100 is the volume of the source audio.

"Normalize" Button
Click this button to bring up the "Normalize Audio Volume" window.

Normalization brings the volumes to a similar intensity. Normally, 75% is a reasonable value.

Fade in
Set the fade-in time for the track in milliseconds.

Fade out
Set the fade-out time for the track in milliseconds.

"OK" Button
Close the window and save the new settings.

"Cancel" Button
Close the window and discard any changes.
Slider Play Pause Stop Normalize Fade In Fade Out Volume OK Cancel


[MPEG Settings]-[System]

Settings related to the MPEG system stream.

Screen shot

Set the MPEG system stream type and set any comments.

-[MPEG Settings

Stream Type
This pull-down menu contains all of the valid output stream types. This field is linked to the [Video] tab's stream type setting; however, this field has more available options.

-[Video

Selection | Output
MPEG-1 System (automatic)

Output a standard MPEG-1 stream. Normally, this output has a constant bitrate.
MPEG-1 System (VBR) | Output a standard variable bitrate MPEG-1 stream.
MPEG-1 Video-CD | Output a standard MPEG-1 stream suitable for VCDs. The parameters should be set to the VCD standards.
MPEG-1 Video-CD (non-standard) | Output a non-standard MPEG-1 stream suitable for VCDs.
MPEG-2 Program (VBR) | Output a standard MPEG-2 stream.
MPEG-2 SuperVideoCD (VBR) | Output a SuperVCD stream. The parameters should be set to the SuperVCD standards.

Insert comments
Check the box, and enter any comments to be included in the output stream.

"OK" Button
Close the window and save the new settings.

"Cancel" Button
Close the window and discard any changes.
OK Cancel Video Advanced GOP Quantize Matrix Audio System Stream Type Comments


[Preview]

Display a recently output frame as a preview.

Screen shot

In this window, one can preview the MPEG movie that is being output. The preview is one frame of the output stream, so one must be aware that the final output may look slightly different than the previewed frame. Also, previewed frame may not be the last frame output to the file.

The preview is set up via the [MPEG Settings] window. One should note that the bitrate settings don't have an effect on the preview. Therefore, the quality of the preview cannot be guaranteed.

"Refresh" Button
Refresh the preview. The preview frames are not part of a continuous stream, so the previewed frames are not always consecutive. The preview is refreshed with a rate set with the [N],[L],[H] buttons.

"Pause" Button
Temporarily pauses refreshing the preview.

"Stop" Button
Stops refreshing the preview.

"Normal Speed" Button
Refreshes the preview at the predefined "normal" speed.

"Slow Speed" Button
Refreshes the preview at the predefined "slow" speed.

"High Speed" Button
Refreshes the preview at the fastest possible speed; however, frames may be skipped if it is too burdensome on the CPU.

"Last Frame" Button
Displays the previous frame.

"Next Frame" Button
Displays the next frame.

"Filter OFF" Button
Apply the filters to the preview that were selected in the [MPEG Settings] Window. Click the button to toggle functionality of the filters.
Play Pause Stop Normal speed Low speed High speed Prev frame Next frame Filter off


[Batch Encode]

Encode a batch of files.

Screen shot

In this window, projects that have been added to the batch list are displayed. Clicking the "Run" button starts all encoding of all of the projects in the list.

This window can be opened, or a project can be added to the list the options in the [File] menu.

"Add" Button
Click the "Add" button to read in a previous saved project and add it to the batch list. This information contains the location of the source files, as well as all of the settings.

"Delete" Button
Remove a selected project from the batch encode list.

Be mindful that this only removes a project from the list, it does not delete it. It can also remove projects added by the [Add current project to batch list] option of the [File] menu.

Me cautious not to delete a project which has been added to batch list before removing the project from the batch list.

"Clear" Button
Remove all entries from the list.

"Open List" Button
Open a previously save batch list. The file extension for a TMPGEnc batch list is ".tbe".

"Save List" Button
Save the current batch encode list. The file extension for a TMPGEnc batch list is ".tbe". TMPGEnc also retains the most recent batch list upon restart.

If another batch encode is started while one is in progress, the most recent encoding takes precedence.

"Run" Button
Click this button to begin encoding the projects in the batch list.

"Stop" Button
Stop the encoding. This can also be accomplished by using the "Stop" button in the main window.

Batch List
This list displays all projects that will be batch encoded. Click the project and click the "Delete" button to remove a project from the list.

Double clicking on a project in the batch list will bring up the [MPEG Settings] window.

Right-click menu.
Right clicking a project in the file brings up more options for the project.

The menu contains the following options.

Menu option | Function
Output

Change from the selected output format. As well as selecting a different output type, one can use this option to change the current output file name.

MPEG Setting | Change the settings for the project via the [MPEG Settings] window.
Finished Marks the project as finished. A finished project has been encoded and will be excluded from batch encoding.

If a check is in front of the project, it will be excluded from the batch encoding when the "Start" button is pushed.
Preview | Preview the selected project via the [Preview] window.
Save Project | Save the selected project.
Delete | Remove the selected project from the list.
Select All | Select all of the projects in the batch list.
Select all executed items. | Select all projects that have been "finished."

abort run clear delete add open list save list batch list


[Encode Log]

This windows contains all of the encoder information for the frames.

Screen shot

This windows contains all of the details of the encoding. The log is written in real time as each frame is processed.

The log contains information for every frame, such as compressed size, as well as the current bitrate, and VBV buffer information.

The information in the log is described below.

Frame information.
Information for every frame is logged, the picture below is a sample output.

The following are the output information details.

Output | Information
Frame = xx The number of the current frame, if the encode log is displayed while encoding. This number starts from "0".

Following the frame number, the type of frame, "I", "P", or "B", is enclosed by brackets.
Estimated Compressed Size | The estimated size for the compressed frame.
Compressed Size. | The actual size of frame output in the MPEG data.
Overflow | The overflow is the difference between the estimated and actual compressed sizes.

Group Information
Information about a group of pictures (GOP).

The following information is output for each group of pictures.

Output | Information
Current Bitrate | The average bitrate for the GOP.
Encoding Results.
Information about the complete video stream is output at the end of the encoding.

The following information is output at the end of encoding.

Output | Information
Number of encoded frames | The total number of frames in the stream.
Inverse 3:2 Pull-down status If inverse 3:2 pull-down was used, pull-down information is displayed.
GOP Length | The average and maximum GOP lengths present in the output stream.
Average Video Birtrate. | The average bitrate of the output video stream. This bitrate added to the audio bitrate will result in the total movie bitrate.
VBV Buffer Size | The VBV buffer size of the stream, set in the [Video] tab.


Copyrights

This manual was originally written by Pegasys Inc.

Reference : "TMPGEnc Official Guide" written by Masaya Suzuki, published by ASCII Corporation. (This book is only availabe in Japanese.)

The sample movie (for screen shots) in this manual are provided by Mr. Masahiro Ushiyama. We appreciate Mr. Ushiyama's co-operation. Mr. Ushiyama's web : [http://www.xdsl.ne.jp/Mn/usm/]

The English version of this manual is maintained by Teisoft Inc., and is concurrently updated with the Japanese version. If anyone would like to contribute information, corrections or suggestions, please email tmpgenc_docs@teisoft.com

We prohibit reproduction, translation, re-arrangeing, re-distributuion, sale of this manual without prior written permission of Pegasys Inc.


[Output to File]

Output an AVI or WAV file from the source file.

Screen shot

Output an AVI or WAV file from the source file. Besides for MPEG files, TMPGEnc can also write AVI and WAV files. Furthermore, TMPGEnc can output single frames BMP, JPG, as well as other formats.

If the correct Codec's are installed, MPEG-4 and DIVX files can also be output.

MPEG File
Selecting this option is the same as encoding a MPEG file. If one clicks this option, one will be prompted with a save dialog.

AVI File
Write an AVI file from the audio/video source. Selecting this bring up the AVI [save] dialog which let's one select the encoder CODEC and file save location.

- Details

WAVE File
Output only a movie's audio track to a WAV file. Selecting brings up the same [save] dialog as selecting "AVI File".

- Details

Sequenced BMP/PPM/TGA/JPG Files
The movie can be output as a sequence of single frame pictures, which can produce many files. A 30fps movie will contain 300 frames in 10 seconds, thereby producing 300 frames upon export.

The output filenames will be sequential from the first frame, "00000000.xxx" where "xxx" is the correct extension, to the number of the last frame.

The JPEG, BMP, TGA, and PPM are current supported output formats. The quality of the output files can be set for the JPEG format, where a higher quality gives a better picture, but a larger file.
MPEG File AVI File WAVE File Sequencial BMP/PPM/TGA/JPG Files


[Add current project to batch list]

Add the outputs from source file to the batch processing list.

Screen shot

This menu is the same as [Output to File]. Refer to [Output to File].

-[Output to File]


[Save As]-[AVI File Output]

Select the output filename and format for an AVI file.

Screen shot

From this dialog, one can select which type of AVI file to output, including which Codec's to use.

Video Output
Check the box to include a video stream in the output.

The type of video output is displayed to the right of the checkbox. Use the dialog displayed by pressing the "Setting" button to change the output file type.

Audio Output
Check this box to include audio data with the video output.

The type of audio output to be included is displayed to the right of the checkbox. Use the dialog displayed by pressing the "Setting" button to change the audio track characteristics.

# frame for interleave width
Enable this if both audio and video track are to be output.

The interleave is the gap length between streams in an AVI file.

Normally, this value is between 1 and 30.

Output frame as key frame if the frame is specified as "I" picture.
A key frame is the type of frame that's used as a marker to keep video and audio synchronous. By selecting this option, a key frame is marked in the AVI file every time that an "I" picture is present in the MPEG stream.

Output frame as drop frame if the frame is specified as a copy picture.
If a copied frame is present in the MPEG stream, drop that frame instead of writing it to the AVI file. This is only used if frame copies were made via the [Force picture type setting] window.
Video Output Audio Output Interleave Keyframe Drop Frame


TMPGEnc Plus Online Help

TMPGEnc Plus online manual table of contents

It is summary of the page which has explained with the online manual.

TMPGEnc Plus Online Manual
The table of contents (this file)

  • Main window
    • File menu
      • Project wizard
        • Select format (1/5)
        • Select source file (2/5)
        • Filter settings (3/5)
        • Bitrate setting (4/5)
        • Specifying output filename (5/5)
      • Preview
      • Output to file
        • AVI file output
      • Batch encode
      • Add current project to batch list
      • MPEG tool
        • Simple multiplex
        • Simple de-multiplex
        • Multiplex
        • De-multiplex
        • Merge & Cut
          • Merged item editing
    • Options menu
      • Environmental settings
        • Settings
        • CPU
        • Sound
        • External tools
        • VFAPI plugins
      • Encode log
    • Help menu
    • MPEG settings
      • Video
        • Constant bitrate (CBR)
        • 2 pass variable bitrate (VBR)
        • Manual variable bitrate (MVBR)
        • Automatic variable VBR (CQ_VBR)
        • Constant quality (CQ)
      • Advanced
        • Source range
        • 24fps conversion (inverse telecine)
          • Auto-settings
        • Ghost reduction
        • Noise reduction
        • Sharpen edges
        • Simple color correction
        • Custom color correction
        • Deinterlace
        • Clip frame
        • Zoom view
      • GOP structure
        • Force Picture Type Setting
      • Quantize Matrix
      • Audio
        • Audio effects
      • System

Copyright (C) 2002 / Pegasys Inc, All rights reserved.

Copyrights